﻿namespace DataSharing.Share.Dtos.ZiGong.TianQue
{
    public class TianQueResponse<TData>
    {
        /// <summary>
        /// 状态
        /// </summary>
        public int code { get; set; }

        /// <summary>
        /// 描述
        /// </summary>
        public string msg { get; set; }

        /// <summary>
        /// 数据
        /// </summary>
        public TData data { get; set; }

        /// <summary>
        /// 成功
        /// </summary>
        /// <param name="data"></param>
        /// <param name="message"></param>
        /// <returns></returns>
        public static TianQueResponse<TData> Success(TData data, string? message = "")
        {
            return new TianQueResponse<TData>
            {
                code = 1,
                data = data,
                msg = message ?? "请求成功！"
            };
        }

        /// <summary>
        /// 失败
        /// </summary>
        /// <param name="data"></param>
        /// <param name="code"></param>
        /// <param name="message"></param>
        /// <returns></returns>
        public static TianQueResponse<TData> Failed(TData data, int? code = null, string? message = "")
        {
            return new TianQueResponse<TData>
            {
                code = code ?? 0,
                data = data,
                msg = message ?? "请求失败！"
            };
        }
    }
}
